Name: ktraynetworker
Version: 0.8c
Release: alt4
Group: Monitoring
Summary: KDE tray icon Network activity monitor
URL: http://www.xiaprojects.com/www/prodotti/ktraynetworker/main.php
License: GPL2
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: themes.tar.bz2
Source2: pptp-theme.tar.bz2
Source3: ppp-theme.tar.bz2

Patch0: %name-0.8-alt-names.patch

# Automatically added by buildreq on Tue Dec 07 2004
BuildRequires: fontconfig freetype2 gcc-c++ hostinfo kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer xml-utils xorg-x11-devel zlib-devel

%description
This program will help you to view network activity on your network device such
as eth0, ppp0 and so on. It put animated, graduated, icons near the KDE tray.

%prep
%setup -q -n %name-%version

%patch0 -p0

%build
%configure \
    --disable-rpath
%make_build

%install
%make DESTDIR=%buildroot install

%__mkdir -p %buildroot%_datadir/apps/%name/themes
%__tar -xjf %SOURCE1 -C %buildroot%_datadir/apps/%name/themes
%__tar -xjf %SOURCE2 -C %buildroot%_datadir/apps/%name/themes
%__rm -f %buildroot%_datadir/apps/%name/themes/ppp
%__tar -xjf %SOURCE3 -C %buildroot%_datadir/apps/%name/themes
find %buildroot%_datadir/apps/%name/themes -type f -name \*.psd -delete
find %buildroot%_datadir/apps/%name/themes -type f | xargs chmod 644

# create menus
%__mkdir -p %buildroot%_datadir/applications/kde
cat << EOF > %buildroot/%_datadir/applications/kde/%name.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=KTrayNetworker
Comment=Network activity monitor
Icon=ktraynetworker.png
Exec=ktraynetworker
Terminal=false
Categories=Qt;KDE;Utility;TrayIcon;
EOF

%find_lang %name

%pre
[ ! -L %_datadir/apps/%name/themes/ppp ] || %__rm -f %_datadir/apps/%name/themes/ppp

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_datadir/apps/%name
%_datadir/applications/kde/%name.desktop
%_iconsdir/*/*/apps/%name.png
%_datadir/doc/HTML/*/%name

%changelog
* Sun Feb 12 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8c-alt4
- rebuild with KDE-3.5.1

* Tue Jan 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8c-alt3
- move to freedesktop menu
- added new PPP theme

* Tue Oct 25 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.8c-alt2
- added PPTP theme

* Tue Apr 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.8c-alt1
- 0.8c

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.8b-alt1.1
- Rebuilt with libstdc++.so.6.

* Sun Dec 12 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.8b-alt1
- 0.8b
- add new themes

* Tue Dec 07 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt1
- initial release

